package main

import (
	"fmt"
	"qzlogs"
	"runtime"
)

func main() {

	qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST05_", 1, 1, 0, 0, 1)
	qzlogs.ProfileTimeStart("qztest05.go 計測")

	_, file, line, ok := runtime.Caller(0)
	if !ok {
		fmt.Println("スタックトレースの取得失敗")
		//後始末
		qzlogs.ProfileTimeStop()
		qzlogs.LogTerm()
		return
	}
	msg := fmt.Sprintf("%s main()", file)
	qzlogs.W32ErrLog(msg, line)

	// ここの文字列は、サロゲート文字対応のエディタでないと化けます
	strDat := "g𣇄𣗄𣜿𣝣𣳾f𤟱𥒎a𥔎𥝱𥧄𥶡𦫿𦹀𧃴𧚄𨉷𨏍𪆐𠂉𠂢𠂤𠆢𠈓𠌫𠎁𠍱𠏹𠑊𠔉𠗖𠘨𠝏𠠇𠠺𠢹𠥼𠦝𠫓𠬝𠵅𠷡𠺕𠹭𠹤𠽟𡈁𡉕𡉻𡉴𡋤𡋗𡋽𡌶𡍄𡏄𡑭𡗗𦰩𡙇𡜆"
	for i := 0; i < 2000; i++ {
		qzlogs.Log(strDat)
	}

	qzlogs.ProfileTimeStop()
	qzlogs.LogTerm()

}
