package main

import (
	"qzlogs"
)

func main() {

	// ログ・出力する初期化
	//qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST07_", 0x8000, 1, 0, 0, 1)

	// ログ・スリープする初期化
	qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST07_", 0x8000, 1, 1, 0, 1)

	qzlogs.ProfileTimeStart("qztest07.go 計測")

	// ここの文字列は、サロゲート文字対応のエディタでないと化けます
	strDat := "g𣇄𣗄𣜿𣝣𣳾f𤟱𥒎a𥔎𥝱𥧄𥶡𦫿𦹀𧃴𧚄𨉷𨏍𪆐𠂉𠂢𠂤𠆢𠈓𠌫𠎁𠍱𠏹𠑊𠔉𠗖𠘨𠝏𠠇𠠺𠢹𠥼𠦝𠫓𠬝𠵅𠷡𠺕𠹭𠹤𠽟𡈁𡉕𡉻𡉴𡋤𡋗𡋽𡌶𡍄𡏄𡑭𡗗𦰩𡙇𡜆"

	qzlogs.LogPut(strDat, len(strDat), 1, 20)
	qzlogs.Log("LogPut Hoge")

	strDat = "abcdefghijklmnopqrstuvwxyz!"
	qzlogs.LogPut(strDat, len(strDat), 1, 10)

	qzlogs.LogPutHex(strDat, len(strDat), 1, 10)
	qzlogs.Log("LogPutHex Hoge Gahha")
	qzlogs.LogPutHex(strDat, len(strDat), 1, 10)
	qzlogs.LogPutHex("abcdefg", 7, 1, 10)

	qzlogs.ProfileTimeStop()

	qzlogs.LogTerm()

}
