package main

import (
	"qzlogs"
)

func main() {

	// ログ Levelごとの初期化　どれかひとつを利用して初期化する
	//qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST08_", 0x8000, 1, 0, 5, 1)	// Debug
	//qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST08_", 0x8000, 1, 0, 4, 1)	// Info
	qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST08_", 0x8000, 1, 0, 3, 1) // Warning
	//qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST08_", 0x8000, 1, 0, 2, 1)	// Error
	//qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST08_", 0x8000, 1, 0, 1, 1) // Critical
	// qztest07 ログスリープもテストしてみてください

	qzlogs.ProfileTimeStart("qztest08.go 計測")

	qzlogs.Log("Log() 出力されていますか?")
	qzlogs.LogDebug("LogDebug() 出力されていますか?")
	qzlogs.LogInfo("LogInfo() 出力されていますか?")
	qzlogs.LogWarning("LogWarning() 出力されていますか?")
	qzlogs.LogError("LogError() 出力されていますか?")
	qzlogs.LogCritical("LogCritical() 出力されていますか?")

	qzlogs.ProfileTimeStop()

	qzlogs.LogTerm()

}
