package main

import (
	"qzlogs"
)

func main() {

	qzlogs.LogInit("D:\\work\\qzlogstest\\cmd", "QZ_TEST10_", 0x8000, 1, 0, 0, 1) // Warning

	qzlogs.ProfileTimeStart("qztest10")

	s := "𠀋𡈽𡑮a𡢽𠮟𡚴a𡸴g𣇄𣗄abcd𣜿𣝣𣳾f𤟱𥒎𥔎𥝱𥧄𥶡𦫿𦹀𧃴𧚄𨉷𨏍𪆐𠂉𠂢𠂤𠆢𠈓𠌫𠎁𠍱𠏹𠑊𠔉𠗖𠘨𠝏𠠇𠠺𠢹𠥼𠦝𠫓𠬝𠵅𠷡𠺕𠹭𠹤𠽟𡈁𡉕𡉻𡉴𡋤𡋗𡋽𡌶𡍄𡏄𡑭𡗗𦰩𡙇𡜆"
	qzlogs.LogDumpUTF8(s, len(s), "サロゲート")

	s2 := "aÀÁÂÃÄÅÆbÇÈÉÊËÌÍÎÏÐÑÒÓÔÕÖ×ØÙÚÛÜÝÞßàáâãäåæçèéêëìíîïðñòóôõö÷øùúûüýþÿĀāĂăĄąĆćĈĉĊċČčĎď"
	qzlogs.LogDumpUTF8(s2, len(s2), "2バイト文字")

	jp := "あいうえxおかきくけこさòしすせxそはちとしのまははちのとはまのzz𧚄りちとしはまちとしのりはまちとわにはまていにらはとにまはしりま"
	qzlogs.LogDumpUTF8(jp, len(jp), "3バイト文字")

	qzlogs.ProfileTimeStop()
	qzlogs.LogTerm()

}
